Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

libraryId
string
required

The ID of the library

Query Parameters

workflowId
string

The ID of the workflow

stateId
string

The ID of the workflow state

pageSize
integer<int32>
default:100

The maximum number of items to return. Defaults to 100, max 100.

pageToken
string

The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response.

orderBy
string

Order results on 'documentTitle' or 'updateDate'. Use '-documentTitle' or '-updateDate' for descending order (defaults to '-updateDate')

includeDocument
enum<string>

The mode of response: either 'BASIC' for high-level information or 'FULL' for full details of the documents found.

Available options:
FULL,
BASIC
securityCode
string

The security code

domain
string

The G Suite domain

user
string

The email address of a user

Response

200 - application/json

A ApiToValidateDocumentList response

items
object[]
kind
string
nextPageToken
string

DEPRECATED. Use pageToken instead.